%error = ForceRequiredAddOn("Brick_Large_Cubes");

if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Event_BrickZones - required add-on Brick_Large_Cubes not found");
   return;
}

if(isFile("Add-Ons/System_oRBs/server.cs")) //ORBS PREFS
{
	if(!$ORBS::Hooks::ServerControl) 
		exec("Add-Ons/System_oRBs/hooks/serverControl.cs");
	
	ORBS_registerPref("Zone Tick Speed", "Brick Zone Events", "$Pref::Server::BrickZoneEvents::TickRate", "int 100 2000", "Event_BrickZones", 200, 1, 1);
	ORBS_registerPref("Zones Can Push Vehicles", "Brick Zone Events", "$Pref::Server::BrickZoneEvents::DoImpulseVehicles", "bool", "Event_BrickZones", true, 0, 1);
	ORBS_registerPref("Enable Premade Zone Bricks", "Brick Zone Events", "$Pref::Server::BrickZoneEvents::EnableBricks", "bool", "Event_BrickZones", true, 1, 1);
}
else if(isFile("Add-Ons/System_ReturnToBlockland/server.cs")) //RTB PREFS
{ 
	if(!$RTB::Hooks::ServerControl) 
		exec("Add-Ons/System_ReturnToBlockland/hooks/serverControl.cs");
	
	RTB_registerPref("Zone Tick Speed", "Brick Zone Events", "$Pref::Server::BrickZoneEvents::TickRate", "int 100 2000", "Event_BrickZones", 200, 1, 1);
	RTB_registerPref("Zones Can Push Vehicles", "Brick Zone Events", "$Pref::Server::BrickZoneEvents::DoImpulseVehicles", "bool", "Event_BrickZones", true, 0, 1);
	RTB_registerPref("Enable Premade Zone Bricks", "Brick Zone Events", "$Pref::Server::BrickZoneEvents::EnableBricks", "bool", "Event_BrickZones", true, 1, 1);
} 
else 
{
	if($Pref::Server::BrickZoneEvents::TickRate $= "" || $Pref::Server::BrickZoneEvents::TickRate < 100 || $Pref::Server::BrickZoneEvents::TickRate > 2000)
		$Pref::Server::BrickZoneEvents::TickRate = 200;
	if($Pref::Server::BrickZoneEvents::DoImpulseVehicles $= "" || $Pref::Server::BrickZoneEvents::DoImpulseVehicles < 0 || $Pref::Server::BrickZoneEvents::DoImpulseVehicles > 1)
		$Pref::Server::BrickZoneEvents::DoImpulseVehicles = true;
	if($Pref::Server::BrickZoneEvents::EnableBricks $= "" || $Pref::Server::BrickZoneEvents::EnableBricks < 0 || $Pref::Server::BrickZoneEvents::EnableBricks > 1)
		$Pref::Server::BrickZoneEvents::EnableBricks = true;
}

//planning to support glass prefs if added and needed

exec("./events.cs");
exec("./zones.cs"); 
exec("./bricks.cs"); 
exec("./package.cs");